package com.ruoyi.web.v3.controller;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbEntranceCheckEntity;
import com.ruoyi.web.v3.model.request.HbEntranceCheckPageReq;
import com.ruoyi.web.v3.service.IHbEntranceCheckService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 * v3.0进场查验登记 前端控制器
 * </p>
 *
 */
@RestController
@RequestMapping("/v3/hb-entrance-check")
@Api("3.0进场查验登记管理")
public class HbEntranceCheckController {

    @Resource
    private IHbEntranceCheckService entranceCheckService;

    @ApiOperation("进场查验登记记录添加")
    @PostMapping("/add")
    public AjaxResult add(@RequestBody HbEntranceCheckEntity request){
        return entranceCheckService.add(request);
    }

    @ApiOperation("进场查验登记记录修改")
    @PostMapping("/edit")
    public AjaxResult edit(@RequestBody HbEntranceCheckEntity request){
        return entranceCheckService.edit(request);
    }

    @ApiOperation("进场查验登记记录删除")
    @PostMapping("/delete")
    public AjaxResult delete(@RequestBody Map<String, String> paramsMap) {
        String ids = paramsMap.get("ids");
        return entranceCheckService.delete(ids);
    }

    @ApiOperation("进场查验登记记录分页查询")
    @GetMapping("/page")
    public AjaxResult page(@ModelAttribute HbEntranceCheckPageReq request) {
        return entranceCheckService.page(request);
    }


    @ApiOperation("进场查验登记记录列表全量查询")
    @GetMapping("/list")
    public AjaxResult listAll(){
        return entranceCheckService.listAll();
    }

}
